Update Agent
curl --request PATCH \
--url https://demo.rotavision.com/api/v1/agents/{agent_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"org_unit": "<string>",
"blast_radius": {},
"recert_due_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://demo.rotavision.com/api/v1/agents/{agent_id}"
payload = {
"description": "<string>",
"org_unit": "<string>",
"blast_radius": {},
"recert_due_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
org_unit: '<string>',
blast_radius: {},
recert_due_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://demo.rotavision.com/api/v1/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"tenant_id": "<string>",
"name": "<string>",
"description": "<string>",
"owner_name": "<string>",
"owner_email": "<string>",
"org_unit": "<string>",
"autonomy_tier": "<string>",
"blast_radius": {},
"status": "<string>",
"recert_due_at": "2023-11-07T05:31:56Z",
"decommissioned_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"identity_verified": false,
"identity_source": "<string>",
"identity_ref": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}register
Update Agent
PATCH
/
api
/
v1
/
agents
/
{agent_id}
Update Agent
Authorizations
Ingest API key or OIDC JWT. See /authentication.
Path Parameters
Body
application/json
Response
Successful Response
⌘I

